# Trait heck::ToShoutySnakeCase

source · [−]

    pub trait ToShoutySnakeCase: ToOwned {
        fn to_shouty_snake_case(&self) -> Self::Owned;
    }

Expand description

This trait defines a shouty snake case conversion.

In SHOUTY_SNAKE_CASE, word boundaries are indicated by underscores and all words are in uppercase.

### Example:

    use heck::ToShoutySnakeCase;

    let sentence = "That world is growing in this minute.";
    assert_eq!(sentence.to_shouty_snake_case(), "THAT_WORLD_IS_GROWING_IN_THIS_MINUTE");

## Required Methods

source

#### fn to_shouty_snake_case(&self) -> Self::Owned

Convert this type to shouty snake case.

## Implementations on Foreign Types

source

### impl ToShoutySnakeCase for str

source

#### fn to_shouty_snake_case(&self) -> Self::Owned

## Implementors